<!--% PROCESS 'shared-utils.tpl.html' %-->

<!--% MACRO rss_show_series(series, series_id)  IF series != "general" %-->
from the series <em><a href="<!--% baseurl %-->series/<!--% zero_pad_left(series_id) %-->.html"><!--% series %--></em></a>.
<!--% END %-->

<!--% MACRO show_series(series, series_id, label)  IF series != "" %-->
<!--% IF label == "" %-->
<!--% label = "Series" %-->
<!--% END %-->
	<label><!--% label %-->:</label> <a href="<!--% absolute_path(baseurl) %-->series/<!--% zero_pad_left(series_id) %-->.html"><!--% series %--></a>.
<!--% END %-->

<!--% MACRO display_tags(tags) BLOCK %-->
    <span><label>Tags:</label> <em>
        <!--% FOREACH tag IN tags.csv_parse %-->
        <a href="<!--% absolute_path(baseurl) %-->tags.html#<!--% tag.lower %-->"><!--% tag %--></a><!--% IF loop.count == loop.size %-->.<!--% ELSE %-->,<!--% END %-->
        <!--% END %--></em>
    </span>
<!--% END %-->

<!--% MACRO display_listen_in(eps_id, episode_type) BLOCK %-->
<!--% IF episode_type == "" %--><!--% episode_type = 'hpr' %--><!--% END %-->
 Listen in 
<!--% IF episode_type == 'hpr' %-->
<a href="<!--% media_path(eps_id, episode_type, 'ogg', baseurl, media_baseurl) %-->" aria-label="Download <!--% episode_type %--><!--% zero_pad_left(eps_id) %--> as">ogg</a>,
<a href="<!--% media_path(eps_id, episode_type, 'spx', baseurl, media_baseurl) %-->" aria-label="Download <!--% episode_type %--><!--% zero_pad_left(eps_id) %--> as">spx</a>,
or 
<!--% END %-->
<a href="<!--% media_path(eps_id, episode_type, 'mp3', baseurl, media_baseurl) %-->" aria-label="Download <!--% episode_type %--><!--% zero_pad_left(eps_id) %--> as">mp3</a> format.
<!--% END %-->

<!--% MACRO display_comments_tally(eps_id, tally) BLOCK %-->
<a href="<!--% absolute_path(baseurl) %-->eps/hpr<!--% zero_pad_left(eps_id) %-->/index.html#comments" aria-label="Comments for hpr<!--% zero_pad_left(eps_id) %-->"><!--% IF tally > 0 %--><!--% tally %--><!--% ELSE %-->(Be the first)<!--% END %--></a>.
<!--% END %-->

<!--% MACRO show_meta(show, hide_tags) BLOCK %-->
	<span><label>Released:</label> <!--% show.date %-->.</span> 
	<span><label>Duration:</label> <!--% display_episode_duration(show.duration) %-->.</span> 
	<span><label>Flag:</label> <!--% display_explicit(show.explicit) %-->.</span> 
	<span><!--% show_series(show.series, show.seriesid) %--></span>  <br>
	<!--% IF hide_tags == "" %--><!--% display_tags(show.tags) %--><!--% END %-->
	<!--% IF show.comentsTally || show.commentsTally == 0 %-->
	<span><label>Comments:</label> <!--% display_comments_tally(show.id, show.commentsTally) %--></span>
	<!--% END %-->
<!--% END %-->

<!--% MACRO show_summary(show, hide_host) BLOCK %-->

	<h3 class="title"><a href="<!--% absolute_path(baseurl) %-->eps/hpr<!--% zero_pad_left(show.id) %-->/index.html">hpr<!--% show.id %--> :: <!--% show.title %--></a> <!--% IF hide_host == "" %--> 
		hosted by <a href="<!--% absolute_path(baseurl) %-->correspondents/<!--% zero_pad_left(show.hostid) %-->.html"><!--% show.host %--></a>
	<!--% END %-->
	</h3>
	<p class="meta"><!--% show_meta(show) %--></p>
	<p class="summary"><!--% show.summary %--></p>
<!--% END %-->

<!--% MACRO twat_show_summary(show, hide_host) BLOCK %-->

	<h3 class="title"><a href="<!--% absolute_path(baseurl) %-->eps/twat<!--% zero_pad_left(show.id) %-->/index.html">Today with a Techie Ep.<!--% show.id %--> :: <!--% show.title %--></a> <!--% IF hide_host == "" %--> 
		hosted by <a href="<!--% absolute_path(baseurl) %-->correspondents/<!--% zero_pad_left(show.hostid) %-->.html"><!--% show.host %--></a>
	<!--% END %-->
	</h3>
	<p class="meta"><!--% show_meta(show) %--></p>
	<p class="summary"><!--% show.summary %--></p>
<!--% END %-->

